Mailinglist Archive: opensuse-factory (536 mails)

< Previous Next >
[opensuse-factory] Leap 15.0 Build 245.2 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&version=15.0&build=245.2&groupid=50
https://bugzilla.opensuse.org/buglist.cgi?product=openSUSE%20Distribution&query_format=advanced&resolution=---&version=Leap%2015.0

When you reply to discuss some issues, make sure to change the subject.
Please use the test plan at
https://docs.google.com/spreadsheets/d/1AGKijKpKiJCB616-bHVoNQuhWHpQLHPWCb3m1p6gXPc/edit#gid=168760829
to record your testing efforts and use bugzilla to report bugs.

Packages changed:
ImageMagick (7.0.7.28 -> 7.0.7.29)
PackageKit (1.1.9 -> 1.1.10)
autoyast2 (4.0.49 -> 4.0.52)
avahi
chrony
empathy
glib2-branding-openSUSE
gnome-desktop
gtk3
libstorage-ng (3.3.259 -> 3.3.270)
libvorbis
qalculate
shotwell (0.28.2 -> 0.28.3)
transmission (2.93 -> 2.94)
xdg-utils
yast2-bootloader (4.0.28 -> 4.0.29)
yast2-firewall (4.0.24 -> 4.0.25)
yast2-installation (4.0.54 -> 4.0.57)
yast2-packager (4.0.60 -> 4.0.61)
yast2-storage-ng (4.0.169 -> 4.0.175)
yast2-trans (84.87.20180427.16d13b087 -> 84.87.20180508.cec5a7a09)
yast2-update (4.0.12 -> 4.0.13)

=== Details ===

==== ImageMagick ====
Version update (7.0.7.28 -> 7.0.7.29)
Subpackages: libMagick++-7_Q16HDRI4

- instead of disabling test, apply upstream fix introduced
few minutes after upstream report was made
- ImageMagick-filter.t-primitive-circle.patch
+ ImageMagick-draw-circle-primitive.patch
- update to 7.0.7-29:
* Fixed numerous use of uninitialized values, integer overflow,
memory exceeded, and timeouts (credit to OSS Fuzz).
- turn off drawing primitive 'circle' test:
+ ImageMagick-filter.t-primitive-circle.patch
- dropped patches (upstreamed):
- ImageMagick-CVE-2018-9135.patch
- ImageMagick-write.t-pict.patch

==== PackageKit ====
Version update (1.1.9 -> 1.1.10)
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- offline updates should be disabled in Leap too, just like SLE
- Update to version 1.1.10:
+ Notes: This release fixes CVE-2018-1106 which is a moderate
security issue (boo#1086936).
+ Backends:
- zypp:
. Implement GetDetailsLocal in zypp backend.
. Improve refresh-cache function in zypp backend.
- Various changes related to aptcc and dnf.
- Drop PackageKit-zypp-backend-improve-refresh-cache.patch and
PackageKit-zypp-backend-get-details-local.patch: Fixed upstream.
- Drop NetworkManager-devel BuildRequires: Not used since version
1.1.7.
- Disable offline-update when building for SLE.

==== autoyast2 ====
Version update (4.0.49 -> 4.0.52)
Subpackages: autoyast2-installation

- Allow 'subvolumes' and 'subvolumes_prefix' elements to be empty
(bsc#1076337, bsc#1090095 and bsc#1091669).
- Drop 'btrfs_set_default_subvolume_name' element.
- 4.0.52
- Added general API for reporting errors while parsing the AutoYaST
configuration file (part of bnc#1089855).
- 4.0.51
- Display an error and abort the installation when no storage
devices are available for installation (bsc#1091033).
- 4.0.50

==== avahi ====
Subpackages: avahi-lang libavahi-client3 libavahi-common3 libavahi-core7

- Add avahi-daemon-increase-rlimit.patch: increase rlimit as a
conservative way to handle certain crashes referring to upstream
commit 71ace71 (bsc#1085255).

==== chrony ====

- Added /etc/chrony.d/ directory to the package (bsc#1083597)
Modifed default chrony.conf to add "include /etc/chrony.d/*"

==== empathy ====

- Drop telepathy-salut requires: Salut is only good for Apple
Bonjour chat, but depends on avahi-python, which is being removed
in favor of the python3 port, which in turn is not supported by
telepathy-salut. The loss of functionality appears acceptable.

==== glib2-branding-openSUSE ====

- Update .gschema.override.in: referring the implementation of
bsc#1077332, fully enable gnome-software notification which is
now used on both leap15 and sle15 to replace the legacy g-s-d
notification method (boo#1090042).

==== gnome-desktop ====
Subpackages: gnome-desktop-lang gnome-version libgnome-desktop-3-12
libgnome-desktop-3_0-common typelib-1_0-GnomeDesktop-3_0

- Add gnome-desktop-plug-memory-leak.patch: bg-slide-show: Plug a
memory leak (bgo#793878).

==== gtk3 ====
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-lang
gtk3-schema gtk3-tools libgtk-3-0 typelib-1_0-Gtk-3_0

- Mark /etc/gtk-3.0/settings.ini as config(noreplace): admins that
update this file most likely want to keep their changes
(boo#1087507) - and the distro does not have very frequent
changes in this file.

==== libstorage-ng ====
Version update (3.3.259 -> 3.3.270)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- Translated using Weblate (Greek)
- 3.3.270
- Translated using Weblate (German)
- 3.3.269
- Translated using Weblate (French)
- 3.3.268
- Translated using Weblate (Portuguese (Brazil))
- 3.3.267
- merge gh#openSUSE/libstorage-ng#524
- fixed probing of NTFS (in special cases) (bsc#1091585)
- added unit test
- 3.3.266
- Translated using Weblate (Catalan)
- 3.3.265
- Translated using Weblate (Catalan)
- 3.3.264
- Translated using Weblate (Slovak)
- 3.3.263
- Translated using Weblate (Italian)
- 3.3.262
- Translated using Weblate (Spanish)
- 3.3.261
- Translated using Weblate (Spanish)
- 3.3.260

==== libvorbis ====
Subpackages: libvorbis0 libvorbisenc2 libvorbisfile3

- Fix out-of-bounds access inside bark_noise_hybridmp function
(CVE-2017-14160, bsc#1059812):
downstream fix: vorbis-CVE-2017-14160.patch
- Fix stack-basedbuffer over-read in bark_noise_hybridm
(CVE-2018-10393, bsc#1091072):
downstream fix: vorbis-CVE-2018-10393.patch

==== qalculate ====

- Add patch to fix FD leak (boo#1092329):
* 0001-Fix-leaking-of-FDs-created-by-pipe.patch

==== shotwell ====
Version update (0.28.2 -> 0.28.3)
Subpackages: shotwell-lang

- Update to version 0.28.3:
+ Fix spacings in search toolbar.
+ Fix "Out of memory" issues when scrolling through large
collections.
+ Bugs fixed: bgo#786702.
+ Updated translations.

==== transmission ====
Version update (2.93 -> 2.94)
Subpackages: transmission-common transmission-gtk transmission-gtk-lang

- Update to version 2.94:
+ All Platforms:
- Fix building against LibreSSL.
- Fix building against mbedTLS.
- Fix torrents ETA calculation.
- Fix cross-compilation issues caused by miniupnpc
configuration test.
+ Qt Client: Fix bad downloaded percentage in DetailsDialog.
+ Web Client:
- Fix tracker error XSS in inspector (CVE pending).
- Fix torrent name HTML-escaping in trackers inspector tab.

==== xdg-utils ====

- boo#1051353 can't set default browser on kde.
* fix-kde-browser-check.patch

==== yast2-bootloader ====
Version update (4.0.28 -> 4.0.29)

- Inform user when an unsupported bootloader is defined in the
AutoYaST profile, display the valid values (bsc#1091284)
- 4.0.29

==== yast2-firewall ====
Version update (4.0.24 -> 4.0.25)

- AutoYaST: Report whether an interface has been defined
in more than one zone (bnc#1089855).
- 4.0.25

==== yast2-installation ====
Version update (4.0.54 -> 4.0.57)

- Keep the selected product in the desktop selection dialog
(bsc#1088660)
- 4.0.57
- Copy new /var/log/YaST2/storage-inst/ subdir to target at the
end of the installation (part of fate #318196)
- 4.0.56

==== yast2-packager ====
Version update (4.0.60 -> 4.0.61)

- Adapted /dev cleanup at upgrade to work properly with the
registration rollback (bsc#1089643)
- 4.0.61

==== yast2-storage-ng ====
Version update (4.0.169 -> 4.0.175)

- provide function to disable MD auto assembly (bsc#1090690)
- provide function to inhibit udisks from doing mounts
- use these two functions when running expert partitioner
- 4.0.175
- Partitioner: added option to import mount points (part of
fate#318196 and bsc#1083851).
- 4.0.174
- AutoYaST: handle <subvolumes_prefix/> and <subvolumes> empty
values properly (bsc#1076337, bsc#1090095 and bsc#1091669).
- 4.0.173
- Set fs_passno to 2 for ext2/3/4 filesystems assigned to non-root
mount points (bsc#1078703).
- 4.0.172
- Don't require rspec/mocks (not present in inst-sys)
(part of fate#318196)
- 4.0.171
- Dump devicegraph and actions to separate human readable files
(part of fate#318196)
- 4.0.170

==== yast2-trans ====
Version update (84.87.20180427.16d13b087 -> 84.87.20180508.cec5a7a09)
Subpackages: yast2-trans-cs yast2-trans-da yast2-trans-de yast2-trans-en
yast2-trans-en_GB yast2-trans-en_US yast2-trans-es yast2-trans-fi
yast2-trans-fr yast2-trans-hu yast2-trans-it yast2-trans-ja yast2-trans-nb
yast2-trans-nl yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ru
yast2-trans-sv yast2-trans-zh_CN yast2-trans-zh_TW

- Update to version 84.87.20180508.cec5a7a09:
* Fixed a parameter placeholder in po/storage/fi.po
* New POT for text domain 'autoinst'.
* New POT for text domain 'bootloader'.
* New POT for text domain 'control'.
* New POT for text domain 'firewall'.
* New POT for text domain 'http-server'.
* New POT for text domain 'installation'.
* New POT for text domain 'network'.
* New POT for text domain 'packager'.
* New POT for text domain 'storage'.
* Translated using Weblate (Catalan)
* Translated using Weblate (Czech)
* Translated using Weblate (Danish)
* Translated using Weblate (Dutch)
* Translated using Weblate (Finnish)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Hindi)
* Translated using Weblate (Japanese)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)

==== yast2-update ====
Version update (4.0.12 -> 4.0.13)

- Copy the resolv.conf and bind mount /dev directory to the target
root, sort the restore scripts to run them in the expected
order (bsc#1089643)
- The bind mount also fixes the libzypp plugin service refresh
(bsc#1080693)
- 4.0.13


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages